Bug 975254 - latexdiff broken
latexdiff broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 19:20 EDT by schlaffi
Modified: 2013-11-10 03:01 EST (History)
3 users (show)

See Also:
Fixed In Version: texlive-2013-3.20131021_r31961.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:01:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description schlaffi 2013-06-17 19:20:19 EDT
Description of problem:
latexdiff hangs on certain (quite common) inputs.

Version-Release number of selected component (if applicable):
texlive-latexdiff-bin-svn16420.0-20.20130321_r29448.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. apply latexdiff to files with \DeclareMathOperator
2. the script hangs

Actual results:
loops forever

Expected results:
terminate

Additional info:
This is reported and resolved upstream as Bug #18880 .

http://developer.berlios.de/bugs/?func=detailbug&bug_id=18880&group_id=5358
Comment 1 schlaffi 2013-07-17 17:48:40 EDT
still present in texlive-latexdiff-bin-svn16420.0-0.1.20130608_r30832.fc19.noarch
Comment 2 Fedora Update System 2013-10-17 06:53:48 EDT
texlive-2013-1.20131014_r31898.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc20
Comment 3 Fedora Update System 2013-10-17 06:56:42 EDT
texlive-2013-1.20131014_r31898.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc19
Comment 4 Fedora Update System 2013-10-17 16:24:30 EDT
Package texlive-2013-1.20131014_r31898.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2013-1.20131014_r31898.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19153/texlive-2013-1.20131014_r31898.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-21 10:14:03 EDT
texlive-2013-2.20131019_r31948.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texlive-2013-2.20131019_r31948.fc18
Comment 6 schlaffi 2013-10-21 10:45:11 EDT
Fixes the bug for me. Thanks!
Comment 7 Fedora Update System 2013-11-10 03:01:25 EST
texlive-2013-3.20131021_r31961.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.